cURL
curl --request GET \
--url https://api.alcamine.com/agents/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.alcamine.com/agents/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.alcamine.com/agents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"createdAt": "2023-12-25T00:00:00.000Z",
"updatedAt": "2023-12-25T00:00:00.000Z",
"createdBy": "<string>",
"updatedBy": "<string>",
"workspaceId": "<string>",
"publishedVersionId": "<string>",
"name": "<string>",
"description": "<string>",
"slug": "<string>",
"status": "DRAFT",
"sourceTemplateId": "<string>",
"archivedBy": "<string>",
"completedBy": "<string>",
"publishedBy": "<string>",
"version": {
"id": "<string>",
"createdAt": "2023-12-25T00:00:00.000Z",
"updatedAt": "2023-12-25T00:00:00.000Z",
"createdBy": "<string>",
"updatedBy": "<string>",
"agentId": "<string>",
"version": -1,
"workspaceId": "<string>",
"sourceAgentVersionId": "<string>",
"themeId": "<string>",
"incentiveType": "CASH",
"incentiveAmount": 500050,
"incentiveCurrencyCode": "USD",
"maxParticipants": -1,
"length": "FIVE_MINUTES",
"languages": [
"en"
],
"inputMode": [
"SMS"
],
"knowledgeBaseId": "<string>",
"followUp": true,
"limitToKnowledgeBase": true,
"timezone": "<string>",
"authentication": "NONE",
"agentFlowId": "<string>",
"config": {
"llm": {
"provider": "OPENAI",
"model": "GPT_4O",
"temperature": 1
},
"tts": {
"provider": "CARTESIA",
"model": "SONIC_2",
"voiceId": "<string>"
},
"stt": {
"provider": "DEEPGRAM",
"model": "NOVA_3"
}
},
"systemPrompt": "<string>"
},
"archivedAt": "2023-12-25T00:00:00.000Z",
"completedAt": "2023-12-25T00:00:00.000Z",
"publishedAt": "2023-12-25T00:00:00.000Z"
}Agents
Get an Agent
GET
/
agents
/
{id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Agent
Maximum string length:
24Example:
"2023-12-25T00:00:00.000Z"
Example:
"2023-12-25T00:00:00.000Z"
Maximum string length:
24Maximum string length:
24Maximum string length:
255Maximum string length:
500Maximum string length:
255Available options:
DRAFT, ARCHIVED, PUBLISHED, COMPLETED Maximum string length:
24Maximum string length:
24Maximum string length:
24Maximum string length:
24Show child attributes
Show child attributes
Example:
"2023-12-25T00:00:00.000Z"
Example:
"2023-12-25T00:00:00.000Z"
Example:
"2023-12-25T00:00:00.000Z"